Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.infoml.jaxb.impl
Class SelectorsTypeImpl

    java.lang.Object
      org.infoml.jaxb.impl.SelectorsTypeImpl

All Implemented Interfaces:
  SelectorsType

    public class SelectorsTypeImpl

extends java.lang.Object
implements SelectorsType

Nested Class Summary
`class` | `SelectorsTypeImpl.Unmarshaller`

Field Summary
`protected java.lang.String` | `_Category`
`protected com.sun.xml.bind.util.ListImpl` | `_DvprCategory`
`protected com.sun.xml.bind.util.ListImpl` | `_DvprId`
`protected com.sun.xml.bind.util.ListImpl` | `_DvprTag`
`protected com.sun.xml.bind.util.ListImpl` | `_DvprTagToRemove`
`protected com.sun.xml.bind.util.ListImpl` | `_Tag`
`protected com.sun.xml.bind.util.ListImpl` | `_UserCategory`
`protected com.sun.xml.bind.util.ListImpl` | `_UserId`
`protected com.sun.xml.bind.util.ListImpl` | `_UserTag`
`protected com.sun.xml.bind.util.ListImpl` | `_UserTagToRemove`
`static java.lang.Class` | `version`

Constructor Summary
`SelectorsTypeImpl()`

Method Summary
`protected com.sun.xml.bind.util.ListImpl` | `_getDvprCategory()`
`protected com.sun.xml.bind.util.ListImpl` | `_getDvprId()`
`protected com.sun.xml.bind.util.ListImpl` | `_getDvprTag()`
`protected com.sun.xml.bind.util.ListImpl` | `_getDvprTagToRemove()`
`protected com.sun.xml.bind.util.ListImpl` | `_getTag()`
`protected com.sun.xml.bind.util.ListImpl` | `_getUserCategory()`
`protected com.sun.xml.bind.util.ListImpl` | `_getUserId()`
`protected com.sun.xml.bind.util.ListImpl` | `_getUserTag()`
`protected com.sun.xml.bind.util.ListImpl` | `_getUserTagToRemove()`
`com.sun.msv.verifier.DocumentDeclaration` | `createRawValidator()`
`org.infoml.jaxb.impl.runtime.UnmarshallingEventHandler` | `createUnmarshaller(org.infoml.jaxb.impl.runtime.UnmarshallingContext context)`
`java.lang.String` | `getCategory()` Gets the value of the category property.
`java.util.List` | `getDvprCategory()` Gets the value of the DvprCategory property.
`java.util.List` | `getDvprId()` Gets the value of the DvprId property.
`java.util.List` | `getDvprTag()` Gets the value of the DvprTag property.
`java.util.List` | `getDvprTagToRemove()` Gets the value of the DvprTagToRemove property.
`java.lang.Class` | `getPrimaryInterface()`
`java.util.List` | `getTag()` Gets the value of the Tag property.
`java.util.List` | `getUserCategory()` Gets the value of the UserCategory property.
`java.util.List` | `getUserId()` Gets the value of the UserId property.
`java.util.List` | `getUserTag()` Gets the value of the UserTag property.
`java.util.List` | `getUserTagToRemove()` Gets the value of the UserTagToRemove property.
`void` | `serializeAttributes(org.infoml.jaxb.impl.runtime.XMLSerializer context)`
`void` | `serializeBody(org.infoml.jaxb.impl.runtime.XMLSerializer context)`
`void` | `serializeURIs(org.infoml.jaxb.impl.runtime.XMLSerializer context)`
`void` | `setCategory(java.lang.String value)` Sets the value of the category property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _Category

    protected java.lang.String _Category

### _DvprTag

    protected com.sun.xml.bind.util.ListImpl _DvprTag

### _DvprCategory

    protected com.sun.xml.bind.util.ListImpl _DvprCategory

### _Tag

    protected com.sun.xml.bind.util.ListImpl _Tag

### _UserId

    protected com.sun.xml.bind.util.ListImpl _UserId

### _UserTagToRemove

    protected com.sun.xml.bind.util.ListImpl _UserTagToRemove

### _DvprTagToRemove

    protected com.sun.xml.bind.util.ListImpl _DvprTagToRemove

### _UserTag

    protected com.sun.xml.bind.util.ListImpl _UserTag

### _UserCategory

    protected com.sun.xml.bind.util.ListImpl _UserCategory

### _DvprId

    protected com.sun.xml.bind.util.ListImpl _DvprId

### version

    public static final java.lang.Class version

Constructor Detail

### SelectorsTypeImpl

    public SelectorsTypeImpl()

Method Detail

### getCategory

    public java.lang.String getCategory()

  Description copied from interface: `SelectorsType`
  Gets the value of the category property.

  Specified by:
    `getCategory` in interface `SelectorsType`
  Returns:
    possible object is `String`

### setCategory

    public void setCategory(java.lang.String value)

  Description copied from interface: `SelectorsType`
  Sets the value of the category property.

  Specified by:
    `setCategory` in interface `SelectorsType`
  Parameters:
    `value` - allowed object is `String`

### _getDvprTag

    protected com.sun.xml.bind.util.ListImpl _getDvprTag()

### getDvprTag

    public java.util.List getDvprTag()

  Description copied from interface: `SelectorsType`
  Gets the value of the DvprTag property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the DvprTag property.

  For example, to add a new item, do as follows:

          getDvprTag().add(newItem);

  Objects of the following type(s) are allowed in the list `String`

  Specified by:
    `getDvprTag` in interface `SelectorsType`

### _getDvprCategory

    protected com.sun.xml.bind.util.ListImpl _getDvprCategory()

### getDvprCategory

    public java.util.List getDvprCategory()

  Description copied from interface: `SelectorsType`
  Gets the value of the DvprCategory property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the DvprCategory property.

  For example, to add a new item, do as follows:

          getDvprCategory().add(newItem);

  Objects of the following type(s) are allowed in the list `NonnullTokenWithOwnerType`

  Specified by:
    `getDvprCategory` in interface `SelectorsType`

### _getTag

    protected com.sun.xml.bind.util.ListImpl _getTag()

### getTag

    public java.util.List getTag()

  Description copied from interface: `SelectorsType`
  Gets the value of the Tag property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the Tag property.

  For example, to add a new item, do as follows:

          getTag().add(newItem);

  Objects of the following type(s) are allowed in the list `String`

  Specified by:
    `getTag` in interface `SelectorsType`

### _getUserId

    protected com.sun.xml.bind.util.ListImpl _getUserId()

### getUserId

    public java.util.List getUserId()

  Description copied from interface: `SelectorsType`
  Gets the value of the UserId property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the UserId property.

  For example, to add a new item, do as follows:

          getUserId().add(newItem);

  Objects of the following type(s) are allowed in the list `NonnullTokenWithOwnerReplaceType`

  Specified by:
    `getUserId` in interface `SelectorsType`

### _getUserTagToRemove

    protected com.sun.xml.bind.util.ListImpl _getUserTagToRemove()

### getUserTagToRemove

    public java.util.List getUserTagToRemove()

  Description copied from interface: `SelectorsType`
  Gets the value of the UserTagToRemove property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the UserTagToRemove property.

  For example, to add a new item, do as follows:

          getUserTagToRemove().add(newItem);

  Objects of the following type(s) are allowed in the list `NonnullTokenWithOwnerType`

  Specified by:
    `getUserTagToRemove` in interface `SelectorsType`

### _getDvprTagToRemove

    protected com.sun.xml.bind.util.ListImpl _getDvprTagToRemove()

### getDvprTagToRemove

    public java.util.List getDvprTagToRemove()

  Description copied from interface: `SelectorsType`
  Gets the value of the DvprTagToRemove property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the DvprTagToRemove property.

  For example, to add a new item, do as follows:

          getDvprTagToRemove().add(newItem);

  Objects of the following type(s) are allowed in the list `NonnullTokenWithOwnerType`

  Specified by:
    `getDvprTagToRemove` in interface `SelectorsType`

### _getUserTag

    protected com.sun.xml.bind.util.ListImpl _getUserTag()

### getUserTag

    public java.util.List getUserTag()

  Description copied from interface: `SelectorsType`
  Gets the value of the UserTag property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the UserTag property.

  For example, to add a new item, do as follows:

          getUserTag().add(newItem);

  Objects of the following type(s) are allowed in the list `String`

  Specified by:
    `getUserTag` in interface `SelectorsType`

### _getUserCategory

    protected com.sun.xml.bind.util.ListImpl _getUserCategory()

### getUserCategory

    public java.util.List getUserCategory()

  Description copied from interface: `SelectorsType`
  Gets the value of the UserCategory property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the UserCategory property.

  For example, to add a new item, do as follows:

          getUserCategory().add(newItem);

  Objects of the following type(s) are allowed in the list `NonnullTokenWithOwnerReplaceType`

  Specified by:
    `getUserCategory` in interface `SelectorsType`

### _getDvprId

    protected com.sun.xml.bind.util.ListImpl _getDvprId()

### getDvprId

    public java.util.List getDvprId()

  Description copied from interface: `SelectorsType`
  Gets the value of the DvprId property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the DvprId property.

  For example, to add a new item, do as follows:

          getDvprId().add(newItem);

  Objects of the following type(s) are allowed in the list `NonnullTokenWithOwnerType`

  Specified by:
    `getDvprId` in interface `SelectorsType`

### createUnmarshaller

    public org.infoml.jaxb.impl.runtime.UnmarshallingEventHandler createUnmarshaller(org.infoml.jaxb.impl.runtime.UnmarshallingContext context)

### serializeBody

    public void serializeBody(org.infoml.jaxb.impl.runtime.XMLSerializer context)
                       throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### serializeAttributes

    public void serializeAttributes(org.infoml.jaxb.impl.runtime.XMLSerializer context)
                             throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### serializeURIs

    public void serializeURIs(org.infoml.jaxb.impl.runtime.XMLSerializer context)
                       throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### getPrimaryInterface

    public java.lang.Class getPrimaryInterface()

### createRawValidator

    public com.sun.msv.verifier.DocumentDeclaration createRawValidator()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD